Bug 492360 - Nouveau multi-head ability limited
Nouveau multi-head ability limited
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 12:06 EDT by Alex Hudson (Fedora Address)
Modified: 2009-03-30 06:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-30 06:21:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Hudson (Fedora Address) 2009-03-26 12:06:26 EDT
Description of problem:

I'm doing the Nouveau QA day "multihead" test case.

The internal monitor I have is connected via LVDS and is capable of 1920x1200. The external monitor is connected to the VGA out on my laptop, and is capable of 1680x1050. xrandr gets both of these things right:

Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 1920 x 1920
LVDS-0 connected (normal left inverted right x axis y axis)
   1920x1200      60.0 +
VGA-1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 470mm x 300mm
   1680x1050      60.0*    59.9  
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1152x864       75.0  
   1280x720       60.0  
   1024x768       75.0     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     66.7     59.9  
   720x400        70.1  
DVI-2 disconnected (normal left inverted right x axis y axis)

Now, I'm using the Display application to try to mess around with the configuration. What works:

* having one specific output turned on, and the other off - the correct output is used, and the native resolution is achieved.

And that's about it :(

* mirror displays - doesn't work. I tried this a number of ways, including doing it from the lower resolution external display first, but turning on both outputs and doing "mirror" nets me "could not find a suitable configuration of screens"

* non-mirror displays - also doesn't work. Doesn't matter whether one is in front of / behind / on top of / etc. the other; I get the same pop-up: "Could not apply the selected configuration" - "required virtual size does not fit available size: requested=(1920,2250), minimum=(320,200), maximum=(1920,1920)"

I had a look in various logs; nothing relevant seemed to be around. Let me know if there's any further testing I can do on these.
Comment 1 Ben Skeggs 2009-03-27 04:16:44 EDT
The xorg-x11-drv-nouveau build at http://koji.fedoraproject.org/koji/buildinfo?buildID=95539 should hopefully fix your issues with not being able to mirror your outputs.

As for non-mirrored, unfortunately we won't be able to support framebuffer resizing until a release of fedora that has at least xorg-server 1.7.  As a workaround, you can add a Virtual line to your xorg.conf large enough to accomodate the highest framebuffer size you want to be able to use.  The howto at http://wiki.debian.org/XStrikeForce/HowToRandR12 should be able to assist with that.
Comment 2 Adam Williamson 2009-03-27 16:36:37 EDT
Please confirm if the new build Ben mentions fixes the clone case. If so, we'll close this report, as the side-by-side case is covered in another bug. Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Alex Hudson (Fedora Address) 2009-03-30 04:31:58 EDT
Hi guys.

I tried a later build from bug #492344 :

  https://bugzilla.redhat.com/show_bug.cgi?id=492344#c3

While I was at it, I tried mirror mode and it works!

Do you need me to go back and verify the earlier build or is this sufficient?

Thanks!
Comment 4 Ben Skeggs 2009-03-30 06:21:09 EDT
Thank you, that build will be fine.  Good to hear that it works now, I'll close this one then!

Note You need to log in before you can comment on or make changes to this bug.